@use "sass:math";

// LINEAR
.progress{
  position:absolute;
  width:1000px;
  height:5px;
  overflow-x: hidden;
}

.line{
  position:absolute;
  opacity: 0.4;
  background:#4a8df8;
  width:150%;
  height:5px;
}

.subline{
  position:absolute;
  background:#4a8df8;
  height:5px;
}
.inc{
  animation: increase 2s infinite;
}
.dec{
  animation: decrease 2s 0.5s infinite;
}

@keyframes increase {
  from { left: -5%; width: 5%; }
  to { left: 130%; width: 100%;}
}
@keyframes decrease {
  from { left: -80%; width: 80%; }
  to { left: 110%; width: 10%;}
}






// 3 DOTS
.dot-elastic {
  position: relative;
  width: 10px;
  // height: 10px;
  border-radius: 5px;
  background-color: #fff;
  // color: #9880ff;
  margin: auto;
  animation: dotElastic 1s infinite linear;
}

.dot-elastic::before, .dot-elastic::after {
  content: '';
  display: inline-block;
  position: absolute;
  top: 0;
}

.dot-elastic::before {
  left: -15px;
  width: 10px;
  height: 10px;
  border-radius: 5px;
  background-color: #fff;
  // color: #9880ff;
  animation: dotElasticBefore 1s infinite linear;
}

.dot-elastic::after {
  left: 15px;
  width: 10px;
  height: 10px;
  border-radius: 5px;
  background-color: #fff;
  // color: #9880ff;
  animation: dotElasticAfter 1s infinite linear;
}

@keyframes dotElasticBefore {
  0% {
    transform: scale(1, 1);
  }
  25% {
    transform: scale(1, 1.5);
  }
  50% {
    transform: scale(1, 0.67);
  }
  75% {
    transform: scale(1, 1);
  }
  100% {
    transform: scale(1, 1);
  }
}

@keyframes dotElastic {
  0% {
    transform: scale(1, 1);
  }
  25% {
    transform: scale(1, 1);
  }
  50% {
    transform: scale(1, 1.5);
  }
  75% {
    transform: scale(1, 1);
  }
  100% {
    transform: scale(1, 1);
  }
}

@keyframes dotElasticAfter {
  0% {
    transform: scale(1, 1);
  }
  25% {
    transform: scale(1, 1);
  }
  50% {
    transform: scale(1, 0.67);
  }
  75% {
    transform: scale(1, 1.5);
  }
  100% {
    transform: scale(1, 1);
  }
}


















$color1: #fff;
// $color1: rgba(1,1,1, 0.1);
// $color2: transparent;
$color2: rgba(1,1,1, 0.1);
// $color2: #fff;
$size: 6px;
$time: .5s;
// $time2: .6s;
span.loading {
  display: inline-block;
}
.dot-flashing {
  position: relative;
  width: $size;
  height: $size;
  border-radius: math.div($size, 2);
  background-color: $color1;
  // color: #9880ff;
  animation: dotFlashing $time infinite linear alternate;
  animation-delay: math.div($time, 2);
  margin: auto;
}

.dot-flashing::before, .dot-flashing::after {
  content: '';
  display: inline-block;
  position: absolute;
  top: 0;
}

.dot-flashing::before {
  left: -15px;
  width: $size;
  height: $size;
  border-radius: math.div($size, 2);
  background-color: $color1;
  // color: #9880ff;
  animation: dotFlashing $time infinite alternate;
  animation-delay: 0s;
}

.dot-flashing::after {
  left: 15px;
  width: $size;
  height: $size;
  border-radius: math.div($size, 2);
  background-color: $color1;
  animation: dotFlashing $time infinite alternate;
  animation-delay: $time;
}

@keyframes dotFlashing {
  0% {
    background-color: $color1;
  }
  50%,
  100% {
    background-color: $color2;
  }
}
